import { z, defineCollection } from 'astro:content'

const postsCollection = defineCollection({
    type: 'content',
    schema: z.object({
        title: z.string(),
        description: z.string(),
        author: z.string(),
        publishDate: z.date(),
        image: z
            .object({
                url: z.string(),
                alt: z.string(),
            })
            .optional(),
        tags: z.array(z.string()),
    }),
})

const guidesCollection = defineCollection({
    type: 'content',
    schema: z.object({
        title: z.string(),
        description: z.string(),
        series: z.string().optional(),
    }),
})

const seminariettiCollection = defineCollection({
    type: 'content',
    schema: z.object({
        title: z.string(),
        description: z.string(),
        author: z.string(),
        publishDate: z.date(),
        eventDate: z.date(),
    }),
})

// Export a single `collections` object to register your collection(s)
export const collections = {
    posts: postsCollection,
    guides: guidesCollection,
    seminarietti: seminariettiCollection,
}
